CREATE TABLE IF NOT EXISTS public.movie (
    uuid text NOT NULL PRIMARY KEY,
    name text,
    scheduled_datetime timestamp without time zone,
    movie_details text,
    image_url text,
    max_passes integer
);

CREATE TABLE IF NOT EXISTS public.pass (
    uuid text NOT NULL,
    movie_uuid text NOT NULL REFERENCES public.movie(uuid),
    user_first text,
    user_last text,
    user_email text,
    pass_type int,
    pass_price int,
    pass_requested_at timestamp without time zone,
    payment_received boolean,
    payment_received_at timestamp without time zone
);
